about summary refs log tree commit diff stats
path: root/home-manager/config/lf/commands/scripts/dl_file
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2023-05-06 22:10:50 +0200
committerSoispha <soispha@vhack.eu>2023-05-09 19:33:23 +0200
commite24fdf517619e84fbba268b0d90627b185665cd6 (patch)
treefee010c3a92fa0ef9ce22b6b1731a638fd6e9484 /home-manager/config/lf/commands/scripts/dl_file
parentFix(hm/conf/git): Remove credential cache (diff)
downloadnixos-config-e24fdf517619e84fbba268b0d90627b185665cd6.zip
Refactor(hm/conf/lf): Separate keybindings and commands
Diffstat (limited to 'home-manager/config/lf/commands/scripts/dl_file')
-rwxr-xr-xhome-manager/config/lf/commands/scripts/dl_file34
1 files changed, 34 insertions, 0 deletions
diff --git a/home-manager/config/lf/commands/scripts/dl_file b/home-manager/config/lf/commands/scripts/dl_file
new file mode 100755
index 00000000..373386f8
--- /dev/null
+++ b/home-manager/config/lf/commands/scripts/dl_file
@@ -0,0 +1,34 @@
+#! /usr/bin/env dash
+# shellcheck disable=SC2086
+# shellcheck source=/dev/null
+# . ~/.local/lib/shell/lib
+. %SHELL_LIBRARY_PATH
+
+# Provides the ability to download a file by dropping it into a window
+
+url=$(dragon -t -x)
+
+if [ -n "$url" ]; then
+  prompt "File Name: "
+  name=""
+  while [ -z $name ] || [ -e $name ]
+  do
+    read -r name
+    if [ -e "$name" ]; then
+      prompt "File already exists, overwrite [y|N]: "
+      read -r ans
+
+      if [ "$ans" = "y" ]; then
+        break
+      else
+        prompt "File Name: "
+      fi
+    fi
+  done
+
+  # Download the file with curl
+  [ -n "$name" ] && curl -o "$name" "$url" || die "curl failed"
+else
+  die "Url is null!"
+fi
+# vim: ft=sh